Subject: Bug#901678: debhelper: Dh_Lib:get_buildoptions() does not honor DEB_BUILD_MAINT_OPTIONS

From: Niels Thykier <[email-masked]>
Date: Sun, 17 Jun 2018 18:35:00 +0000

Drew Parsons:
> On Sun, 2018-06-17 at 16:44 +0000, Niels Thykier wrote:
>>
>>>> But lintian complains that it should be set to
>>>> DEB_BUILD_MAINT_OPTIONS
>>>> instead.
>>>>
>>>> But when I change it to DEB_BUILD_MAINT_OPTIONS=nocheck (or
>>>> "export
>>>> DEB_BUILD_MAINT_OPTIONS=nocheck"), the tests are run.
>>>> DEB_BUILD_MAINT_OPTIONS is being ignored at build time.
>>>>
>>>> Is it dh and debhelper that the bug needs to be sent to?
>>>
>>>
>> Indeed, overriding dh_auto_test is probably what you are looking for.
>>
>> As for debhelper supporting DEB_BUILD_MAINT_OPTIONS.  It is possible,
>> but are we sure it makes sense for packagers to
>> DEB_BUILD_MAINT_OPTIONS
>> for things like nocheck, nostrip, noautodbgsym, parallel=n, etc.?
> 
> 
> I don't get it.  What is the point of DEB_BUILD_MAINT_OPTIONS (and the
> lintian warning about DEB_BUILD_OPTIONS) if no tool is actually using
> it?
> 
> Drew
> 
> 

The primary use of DEB_BUILD_MAINT_OPTIONS that I know of is to make
dpkg-buildflags enable hardening or other special-case compiler flags.
E.g. DEB_BUILD_MAINT_OPTIONS=hardening=+all.

That use-case is completely handled/covered by dpkg-buildflags.

Thanks,
~Niels